package com.hai.order.service.impl;

import com.hai.entity.HighOrder;
import com.hai.entity.HighUserCard;

/**
 * 订单支付
 * @className: OrderPayService
 * @author: HuRui
 * @date: 2022/9/5
 **/
public interface OrderPayService {

    /**
     * 汇联通工会卡支付
     * @param order    订单数据
     * @param userCard 用户卡号
     * @return
     */
    HighOrder hltCardPay(HighOrder order, HighUserCard userCard) throws Exception;

    /**
     * 嗨森逛油卡支付
     * @param order    订单数据
     * @param userCard  用户卡号
     * @return
     */
    HighOrder oilCardPay(HighOrder order, HighUserCard userCard);

}
